---
# Based on ansible-lint config
# https://docs.ansible.com/ansible-lint/configuring/configuring.html#configuration-file
extends: default

skip_list:
  - 403 # [403] Package installs should not use latest
  - 305 # [305] Use shell only when shell functionality is required

rules:
  braces:
    max-spaces-inside: 1
    level: error
  brackets:
    max-spaces-inside: 1
    level: error
  colons:
    max-spaces-after: -1
    level: error
  commas:
    max-spaces-after: -1
    level: error
  comments: disable
  comments-indentation: disable
  document-start: disable
  empty-lines:
    max: 3
    level: error
  hyphens:
    level: error
  indentation: disable
  key-duplicates: enable
  line-length: disable
  new-line-at-end-of-file: disable
  new-lines:
    type: unix
  trailing-spaces: disable
  truthy: disable
